/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetApiMappingsInput } from "../types/GetApiMappingsInput";
import { GetApiMappingsOutput } from "../types/GetApiMappingsOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetApiMappingsInput";
export * from "../types/GetApiMappingsOutput";
export * from "../types/GetApiMappingsExceptionsUnion";
export declare class GetApiMappingsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetApiMappingsInput, OutputTypesUnion, GetApiMappingsOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetApiMappingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetApiMappingsInput, GetApiMappingsOutput, _stream.Readable>;
    constructor(input: GetApiMappingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetApiMappingsInput, GetApiMappingsOutput>;
}
