"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRouteInput_1 = require("../shapes/DeleteRouteInput");
var DeleteRouteOutput_1 = require("../shapes/DeleteRouteOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRoute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRoute",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}"
    },
    input: {
        shape: DeleteRouteInput_1.DeleteRouteInput
    },
    output: {
        shape: DeleteRouteOutput_1.DeleteRouteOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteRoute.js.map