"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _IntegrationParameters_1 = require("./_IntegrationParameters");
var _TemplateMap_1 = require("./_TemplateMap");
exports.CreateIntegrationResponseOutput = {
    type: "structure",
    required: [],
    members: {
        ContentHandlingStrategy: {
            shape: {
                type: "string"
            },
            locationName: "contentHandlingStrategy"
        },
        IntegrationResponseId: {
            shape: {
                type: "string"
            },
            locationName: "integrationResponseId"
        },
        IntegrationResponseKey: {
            shape: {
                type: "string"
            },
            locationName: "integrationResponseKey"
        },
        ResponseParameters: {
            shape: _IntegrationParameters_1._IntegrationParameters,
            locationName: "responseParameters"
        },
        ResponseTemplates: {
            shape: _TemplateMap_1._TemplateMap,
            locationName: "responseTemplates"
        },
        TemplateSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "templateSelectionExpression"
        }
    }
};
//# sourceMappingURL=CreateIntegrationResponseOutput.js.map