"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _IdentitySourceList_1 = require("./_IdentitySourceList");
var _ProviderArnList_1 = require("./_ProviderArnList");
exports.UpdateAuthorizerInput = {
    type: "structure",
    required: ["AuthorizerId", "ApiId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        AuthorizerCredentialsArn: {
            shape: {
                type: "string"
            },
            locationName: "authorizerCredentialsArn"
        },
        AuthorizerId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "authorizerId"
        },
        AuthorizerResultTtlInSeconds: {
            shape: {
                type: "integer",
                min: -2147483648
            },
            locationName: "authorizerResultTtlInSeconds"
        },
        AuthorizerType: {
            shape: {
                type: "string"
            },
            locationName: "authorizerType"
        },
        AuthorizerUri: {
            shape: {
                type: "string"
            },
            locationName: "authorizerUri"
        },
        IdentitySource: {
            shape: _IdentitySourceList_1._IdentitySourceList,
            locationName: "identitySource"
        },
        IdentityValidationExpression: {
            shape: {
                type: "string"
            },
            locationName: "identityValidationExpression"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        ProviderArns: {
            shape: _ProviderArnList_1._ProviderArnList,
            locationName: "providerArns"
        }
    }
};
//# sourceMappingURL=UpdateAuthorizerInput.js.map