"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIntegrationResponses_1 = require("../model/operations/GetIntegrationResponses");
var GetIntegrationResponsesCommand = /** @class */ (function () {
    function GetIntegrationResponsesCommand(input) {
        this.input = input;
        this.model = GetIntegrationResponses_1.GetIntegrationResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIntegrationResponsesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIntegrationResponsesCommand;
}());
exports.GetIntegrationResponsesCommand = GetIntegrationResponsesCommand;
//# sourceMappingURL=GetIntegrationResponsesCommand.js.map