"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIntegrations_1 = require("../model/operations/GetIntegrations");
var GetIntegrationsCommand = /** @class */ (function () {
    function GetIntegrationsCommand(input) {
        this.input = input;
        this.model = GetIntegrations_1.GetIntegrations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIntegrationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIntegrationsCommand;
}());
exports.GetIntegrationsCommand = GetIntegrationsCommand;
//# sourceMappingURL=GetIntegrationsCommand.js.map