/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRoutesInput } from "../types/GetRoutesInput";
import { GetRoutesOutput } from "../types/GetRoutesOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetRoutesInput";
export * from "../types/GetRoutesOutput";
export * from "../types/GetRoutesExceptionsUnion";
export declare class GetRoutesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRoutesInput, OutputTypesUnion, GetRoutesOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetRoutesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRoutesInput, GetRoutesOutput, _stream.Readable>;
    constructor(input: GetRoutesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetRoutesInput, GetRoutesOutput>;
}
