"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRouteResponse_1 = require("../model/operations/UpdateRouteResponse");
var UpdateRouteResponseCommand = /** @class */ (function () {
    function UpdateRouteResponseCommand(input) {
        this.input = input;
        this.model = UpdateRouteResponse_1.UpdateRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRouteResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRouteResponseCommand;
}());
exports.UpdateRouteResponseCommand = UpdateRouteResponseCommand;
//# sourceMappingURL=UpdateRouteResponseCommand.js.map