"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApiMappingsInput_1 = require("../shapes/GetApiMappingsInput");
var GetApiMappingsOutput_1 = require("../shapes/GetApiMappingsOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApiMappings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApiMappings",
    http: {
        method: "GET",
        requestUri: "/v2/domainnames/{domainName}/apimappings"
    },
    input: {
        shape: GetApiMappingsInput_1.GetApiMappingsInput
    },
    output: {
        shape: GetApiMappingsOutput_1.GetApiMappingsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetApiMappings.js.map