"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateIntegrationResponseInput_1 = require("../shapes/UpdateIntegrationResponseInput");
var UpdateIntegrationResponseOutput_1 = require("../shapes/UpdateIntegrationResponseOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateIntegrationResponse",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}"
    },
    input: {
        shape: UpdateIntegrationResponseInput_1.UpdateIntegrationResponseInput
    },
    output: {
        shape: UpdateIntegrationResponseOutput_1.UpdateIntegrationResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateIntegrationResponse.js.map