"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetApiMappingsInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "domainName"
        },
        MaxResults: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        }
    }
};
//# sourceMappingURL=GetApiMappingsInput.js.map