"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateDeploymentInput = {
    type: "structure",
    required: ["ApiId", "DeploymentId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        DeploymentId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "deploymentId"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        }
    }
};
//# sourceMappingURL=UpdateDeploymentInput.js.map