"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RouteModels_1 = require("./_RouteModels");
var _RouteParameters_1 = require("./_RouteParameters");
exports.UpdateRouteResponseOutput = {
    type: "structure",
    required: [],
    members: {
        ModelSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "modelSelectionExpression"
        },
        ResponseModels: {
            shape: _RouteModels_1._RouteModels,
            locationName: "responseModels"
        },
        ResponseParameters: {
            shape: _RouteParameters_1._RouteParameters,
            locationName: "responseParameters"
        },
        RouteResponseId: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseId"
        },
        RouteResponseKey: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseKey"
        }
    }
};
//# sourceMappingURL=UpdateRouteResponseOutput.js.map