import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * UpdateApiMappingOutput shape
 */
export interface UpdateApiMappingOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The API identifier.</p>
     */
    ApiId?: string;
    /**
     * <p>The API mapping identifier.</p>
     */
    ApiMappingId?: string;
    /**
     * <p>The API mapping key.</p>
     */
    ApiMappingKey?: string;
    /**
     * <p>The API stage.</p>
     */
    Stage?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
